- block:
  - block:
    - include_role:
        name: commons
        tasks_from: databases/postgres.yaml
      vars:
        cpu_limit: "{{ grafana_db_cpu_limit }}"
        memory_limit: "{{ grafana_db_memory_limit }}"
        postgres_data_capacity: "{{ grafana_db_data_capacity }}"
        postgres_name: "{{ gfnpg_name }}"
    - include_role:
        name: commons
        tasks_from: helpers/network-policy.yaml
      vars:
        source:
        - name: "{{ grafana_name }}"
        policy_name: "{{ grafana_name }}-to-{{ gfnpg_name }}"
        policy_state: "{{ 'present' if (do_network_policy)
                                    else 'absent' }}"
        subject: "{{ gfnpg_name }}"
        to:
        - number: "5432"
    - name: Sets Database Facts
      set_fact:
        gfnms_db_name: "{{ (ms_sc.resources[0].data['database-name'] | default('')) | b64decode }}"
        gfnms_username: "{{ (ms_sc.resources[0].data['database-user'] | default('')) | b64decode }}"
        gfnms_password: "{{ (ms_sc.resources[0].data['database-password'] | default('')) | b64decode }}"
    when:
    - grafana_db_type == 'postgres'
  - block:
    - include_role:
        name: commons
        tasks_from: databases/mariadb.yaml
      vars:
        cpu_limit: "{{ grafana_db_cpu_limit }}"
        mariadb_data_capacity: "{{ grafana_db_data_capacity }}"
        mariadb_name: "{{ gfnpc_name }}"
        memory_limit: "{{ grafana_db_memory_limit }}"
    - include_role:
        name: commons
        tasks_from: helpers/network-policy.yaml
      vars:
        source:
        - name: "{{ grafana_name }}"
        policy_name: "{{ grafana_name }}-to-{{ gfnms_name }}"
        policy_state: "{{ 'present' if (do_network_policy)
                                    else 'absent' }}"
        subject: "{{ gfnms_name }}"
        to:
        - number: "3306"
    - name: Sets Database Facts
      set_fact:
        gfnpg_db_name: "{{ (pg_sc.resources[0].data['database-name'] | default('')) | b64decode }}"
        gfnpg_username: "{{ (pg_sc.resources[0].data['database-user'] | default('')) | b64decode }}"
        gfnpg_password: "{{ (pg_sc.resources[0].data['database-password'] | default('')) | b64decode }}"
    when:
    - grafana_db_type in [ 'mariadb', 'mysql' ]
  when:
  - do_grafana
